xine-lib: metronom_clock_private_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Public Types | Data Fields
metronom_clock_private_t Struct Reference

## Public Types
enum | { SYNC_THREAD_NONE , SYNC_THREAD_OFF , SYNC_THREAD_RUNNING }

## Data Fields
metronom_clock_t | mct
unixscr_t | uscr
int | next_sync_pts
enum metronom_clock_private_t:: { ... } | sync_thread_state
scr_plugin_t * | providers [10+1]
int | speed_change_used
xine_speed_change_cb_t * | speed_change_callbacks [16+1]
void * | speed_change_data [16+1]

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
SYNC_THREAD_NONE |
SYNC_THREAD_OFF |
SYNC_THREAD_RUNNING |

## Field Documentation

## ◆ mct

metronom_clock_t metronom_clock_private_t::mct

Referenced by _x_metronom_clock_init(), get_master_scr(), metronom_adjust_clock(), metronom_clock_exit(), metronom_get_current_time(), metronom_register_scr(), metronom_register_speed_change_callback(), metronom_resume_clock(), metronom_set_speed(), metronom_start_clock(), metronom_start_sync_thread(), metronom_stop_clock(), metronom_stop_sync_thread(), metronom_sync_loop(), metronom_unregister_scr(), and metronom_unregister_speed_change_callback().

## ◆ next_sync_pts

int metronom_clock_private_t::next_sync_pts

Referenced by _x_metronom_clock_init(), metronom_adjust_clock(), metronom_get_current_time(), metronom_start_clock(), metronom_start_sync_thread(), metronom_stop_sync_thread(), and metronom_sync_hook().

## ◆ providers

scr_plugin_t* metronom_clock_private_t::providers[10+1]

Referenced by _x_metronom_clock_init(), get_master_scr(), metronom_clock_exit(), metronom_get_current_time(), metronom_register_scr(), metronom_resume_clock(), metronom_set_speed(), metronom_start_clock(), metronom_stop_clock(), metronom_sync_hook(), metronom_sync_loop(), and metronom_unregister_scr().

## ◆ speed_change_callbacks

xine_speed_change_cb_t* metronom_clock_private_t::speed_change_callbacks[16+1]

Referenced by _x_metronom_clock_init(), metronom_register_speed_change_callback(), metronom_resume_clock(), metronom_set_speed(), metronom_stop_clock(), and metronom_unregister_speed_change_callback().

## ◆ speed_change_data

void* metronom_clock_private_t::speed_change_data[16+1]

Referenced by metronom_register_speed_change_callback(), metronom_resume_clock(), metronom_set_speed(), metronom_stop_clock(), and metronom_unregister_speed_change_callback().

## ◆ speed_change_used

int metronom_clock_private_t::speed_change_used

Referenced by _x_metronom_clock_init(), metronom_register_speed_change_callback(), and metronom_unregister_speed_change_callback().

## ◆ []

enum { ... } metronom_clock_private_t::sync_thread_state

Referenced by _x_metronom_clock_init(), metronom_start_sync_thread(), metronom_stop_sync_thread(), and metronom_sync_hook().

## ◆ uscr

unixscr_t metronom_clock_private_t::uscr

Referenced by _x_metronom_clock_init().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/xine-engine/metronom.c